# WEAPON

```
void GIVE_DELAYED_WEAPON_TO_PED(Ped ped, Hash weaponHash, int ammoCount, bool bForceInHand)
int GET_WEAPON_TINT_COUNT(Hash weaponHash)
int GET_PED_WEAPON_TINT_INDEX(Ped ped, Hash weaponHash)
void SET_PED_WEAPON_TINT_INDEX(Ped ped, Hash weaponHash, int tintIndex)
void GIVE_WEAPON_COMPONENT_TO_PED(Ped ped, Hash weaponHash, Hash componentHash)
void REMOVE_WEAPON_COMPONENT_FROM_PED(Ped ped, Hash weaponHash, Hash componentHash)
void REMOVE_ALL_PED_WEAPONS(Ped ped, bool p1)
void REMOVE_WEAPON_FROM_PED(Ped ped, Hash weaponHash)
void SET_PED_AMMO(Ped ped, Hash weaponHash, int ammo)
bool HAS_PED_GOT_WEAPON_COMPONENT(Ped ped, Hash weaponHash, Hash componentHash)
Hash GET_PED_AMMO_TYPE_FROM_WEAPON(Ped ped, Hash weaponHash)
void SET_PED_AMMO_BY_TYPE(Ped ped, Hash ammoTypeHash, int ammo)
bool HAS_PED_GOT_WEAPON(Ped ped, Hash weaponHash)
int GET_MAX_AMMO(Ped ped, Hash weaponHash)
int GET_AMMO_IN_PED_WEAPON(Ped ped, Hash weaponhash)
bool IS_PED_WEAPON_READY_TO_SHOOT(Ped ped)
bool IS_PED_ARMED(Ped ped, int typeFlags)
bool IS_WEAPON_VALID(Hash weaponHash)
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.cherax.vip/lua-documentation/api-reference/natives/weapon.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
